org.red5.server.service

## Class ServiceUtils

- java.lang.Object
- - org.red5.server.service.ServiceUtils

    public class ServiceUtils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ServiceUtils()`

### Method Summary

Methods
`static Object[]` `findMethodWithExactParameters(Object service, String methodName, List<?> args)` Returns (method, params) for the given service or (null, null) if no method was found.
`static Object[]` `findMethodWithExactParameters(Object service, String methodName, Object[] args)` Returns (method, params) for the given service or (null, null) if not method was found.
`static Object[]` `findMethodWithListParameters(Object service, String methodName, List<?> args)` Returns (method, params) for the given service or (null, null) if no method was found.
`static Object[]` `findMethodWithListParameters(Object service, String methodName, Object[] args)` Returns (method, params) for the given service or (null, null) if not method was found.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServiceUtils

    public ServiceUtils()

### Method Detail

#### findMethodWithExactParameters

    public static Object[] findMethodWithExactParameters(Object service,
                                         String methodName,
                                         List<?> args)

Returns (method, params) for the given service or (null, null) if no method was found.

Parameters:
  `service` - Service
  `methodName` - Method name
  `args` - Arguments
Returns:
  Method/params pairs

#### findMethodWithExactParameters

    public static Object[] findMethodWithExactParameters(Object service,
                                         String methodName,
                                         Object[] args)

Returns (method, params) for the given service or (null, null) if not method was found. XXX use ranking for method matching rather than exact type matching plus type conversion.

Parameters:
  `service` - Service
  `methodName` - Method name
  `args` - Arguments
Returns:
  Method/params pairs

#### findMethodWithListParameters

    public static Object[] findMethodWithListParameters(Object service,
                                        String methodName,
                                        List<?> args)

Returns (method, params) for the given service or (null, null) if no method was found.

Parameters:
  `service` - Service
  `methodName` - Method name
  `args` - Arguments
Returns:
  Method/params pairs

#### findMethodWithListParameters

    public static Object[] findMethodWithListParameters(Object service,
                                        String methodName,
                                        Object[] args)

Returns (method, params) for the given service or (null, null) if not method was found.

Parameters:
  `service` - Service
  `methodName` - Method name
  `args` - Arguments
Returns:
  Method/params pairs